<?php
/**
 * Template part for displaying slider section
 *
 * @package NGO Organization
 * @subpackage ngo_organization
 */

?>

<?php if( get_theme_mod( 'ngo_organization_slider_arrows') != '') { ?>

<section id="slider">
  <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
    <?php $ngo_organization_slide_pages = array();
      for ( $ngo_organization_count = 1; $ngo_organization_count <= 4; $ngo_organization_count++ ) {
        $ngo_organization_mod = intval( get_theme_mod( 'ngo_organization_slider_page' . $ngo_organization_count ));
        if ( 'page-none-selected' != $ngo_organization_mod ) {
          $ngo_organization_slide_pages[] = $ngo_organization_mod;
        }
      }
      if( !empty($ngo_organization_slide_pages) ) :
        $ngo_organization_args = array(
          'post_type' => 'page',
          'post__in' => $ngo_organization_slide_pages,
          'orderby' => 'post__in'
        );
        $ngo_organization_query = new WP_Query( $ngo_organization_args );
        if ( $ngo_organization_query->have_posts() ) :
          $i = 1;
    ?>
    <div class="carousel-inner" role="listbox">
      <?php  while ( $ngo_organization_query->have_posts() ) : $ngo_organization_query->the_post(); ?>
        <div <?php if($i == 1){echo 'class="carousel-item active"';} else{ echo 'class="carousel-item"';}?>>
          <img src="<?php esc_url(the_post_thumbnail_url('full')); ?>"/>
          <div class="carousel-caption">
            <div class="inner_carousel">
              <h2><?php the_title(); ?></h2>
              <p><?php $ngo_organization_excerpt = get_the_excerpt();echo esc_html( ngo_organization_string_limit_words( $ngo_organization_excerpt,18 ) ); ?></p>
              <div class="more-btn">
                <a href="<?php the_permalink(); ?>"><?php esc_html_e('READ MORE','ngo-organization'); ?></a>
              </div>
            </div>
          </div>
        </div>
      <?php $i++; endwhile;
      wp_reset_postdata();?>
    </div>
    <?php else : ?>
        <div class="no-postfound"></div>
      <?php endif;
    endif;?>
    <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
      <span class="carousel-control-prev-icon" aria-hidden="true"><i class="fas fa-chevron-left"></i></span>
    </a>
    <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
      <span class="carousel-control-next-icon" aria-hidden="true"><i class="fas fa-chevron-right"></i></span>
    </a>
  </div>
  <div class="clearfix"></div>
  <div class="social-links">
      <span class="media-links">
          <?php if( get_theme_mod( 'ngo_organization_facebook_url' ) != '') { ?>
            <a href="<?php echo esc_url( get_theme_mod( 'ngo_organization_facebook_url','' ) ); ?>"><i class="fab fa-facebook-f mr-2"></i></a>
          <?php } ?>
          <?php if( get_theme_mod( 'ngo_organization_twitter_url' ) != '') { ?>
            <a href="<?php echo esc_url( get_theme_mod( 'ngo_organization_twitter_url','' ) ); ?>"><i class="fab fa-twitter mr-2"></i></a>
          <?php } ?>
          <?php if( get_theme_mod( 'ngo_organization_instagram_url' ) != '') { ?>
            <a href="<?php echo esc_url( get_theme_mod( 'ngo_organization_instagram_url','' ) ); ?>"><i class="fab fa-instagram mr-2"></i></a>
          <?php } ?>
          <?php if( get_theme_mod( 'ngo_organization_youtube_url' ) != '') { ?>
            <a href="<?php echo esc_url( get_theme_mod( 'ngo_organization_youtube_url','' ) ); ?>"><i class="fab fa-youtube mr-2"></i></a>
          <?php } ?>
          <?php if( get_theme_mod( 'ngo_organization_pint_url' ) != '') { ?>
            <a href="<?php echo esc_url( get_theme_mod( 'ngo_organization_pint_url','' ) ); ?>"><i class="fab fa-pinterest mr-2"></i></a>
          <?php } ?>
        </span>
    </div>
</section>

<?php } ?>
